%define python3_pkgversion 3.11
%{?scl:%scl_package python-%{pypi_name}}
%{!?scl:%global pkg_name %{name}}

# Created by pyp2rpm-3.3.10
%global srcname opentelemetry-instrumentation-django
%global pypi_name opentelemetry_instrumentation_django
%global pypi_version 0.44b0

Name:           %{srcname}
Version:        %{pypi_version}
Release:        1.0.1%{?dist}
Summary:        OpenTelemetry Instrumentation for Django

License:        Apache 2.0
URL:            https://github.com/open-telemetry/opentelemetry-python-contrib/tree/main/instrumentation/%{srcname}
Source0:        https://files.pythonhosted.org/packages/source/o/%{pypi_name}/%{pypi_name}-%{version}.tar.gz

Patch0:         0001-Add-setup.py.patch
Patch1:         0002-Fix-license.patch
BuildArch:      noarch

BuildRequires:  %{?scl_prefix}python%{python3_pkgversion}-devel
BuildRequires:  %{?scl_prefix}python%{python3_pkgversion}-setuptools
BuildRequires:  %{?scl_prefix}python%{python3_pkgversion}-rpm-macros

%description
%{summary}


%package -n     %{?scl_prefix}python%{python3_pkgversion}-%{srcname}
Summary:        %{summary}
Requires:       python%{python3_pkgversion}-opentelemetry_api
Requires:       python%{python3_pkgversion}-opentelemetry_instrumentation
Requires:       python%{python3_pkgversion}-opentelemetry_instrumentation_wsgi
Requires:       python%{python3_pkgversion}-opentelemetry_semantic_conventions
Requires:       python%{python3_pkgversion}-opentelemetry_util_http
%{?python_provide:%python_provide python%{python3_pkgversion}-%{srcname}}


%description -n %{?scl_prefix}python%{python3_pkgversion}-%{srcname}
%{summary}


%prep
%{?scl:scl enable %{scl} - << \EOF}
set -ex
%autosetup -n %{pypi_name}-%{pypi_version}
%{?scl:EOF}


%build
%{?scl:scl enable %{scl} - << \EOF}
set -ex
%py3_build
%{?scl:EOF}


%install
%{?scl:scl enable %{scl} - << \EOF}
set -ex
%py3_install
%{?scl:EOF}


%files -n %{?scl_prefix}python%{python3_pkgversion}-%{srcname}
%doc README.rst
%license LICENSE
%{python3_sitelib}/opentelemetry/instrumentation/django
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info

%changelog
* Wed Feb 05 2025 Teo Gonzalez <teo.g.gonzalez@oracle.com> - 0.44b0-1.0.1
- Fixes name and version string using guidelines
- Fixes license patch

* Tue Jan 28 2025 Rafael Barron <rafael.barron@oracle.com> - 0.44b0-1.0.0
- Update to 0.44b0

* Wed Aug 28 2024 Rafael Barron <rafael.barron@oracle.com> - 0.43b0-1.0.3
- Add missing dependencies opentelemetry_api opentelemetry_instrumentation opentelemetry_instrumentation_wsgi opentelemetry_semantic_conventions opentelemetry_util_http

* Tue Aug 27 2024 Carlos Heiras <carlos.heiras@oracle.com> - 0.43b0-1.0.2
- Rename package to kebab-case

* Tue Jul 30 2024 Craig Guiller <craig.guiller@oracle.com> - 0.43b0-1.0.1
- Rebuild for python 3.11
- Add setup.py
- Fix license

* Tue Jul 30 2024 Craig Guiller <craig.guiller@oracle.com> - 0.43b0-1
- Initial package.

